> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexxible.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Recuperar un grup d'espais de treball

> Recupera informació detallada sobre un grup de workspaces específic, inclosa la seva configuració, tipus i ubicació. Retorna dades del grup de workspaces que coincideixen amb l'estructura del endpoint de llistat.



## OpenAPI

````yaml /ca/api-reference/openapi.ca-v1.json get /v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}
openapi: 3.0.3
info:
  title: API Publica Portal
  version: 1.0.0
  description: API pública REST per al portal
servers:
  - url: https://api.flexxible.net
    description: Portal API (production)
security:
  - bearerAuth: []
tags: []
paths:
  /v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}:
    get:
      tags:
        - Grups de Workspaces
      summary: Recuperar un grup d'espais de treball
      description: >-
        Recupera informació detallada sobre un grup de workspaces específic,
        inclosa la seva configuració, tipus i ubicació. Retorna dades del grup
        de workspaces que coincideixen amb l'estructura del endpoint de llistat.
      operationId: getWorkspaceGroupById
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            maxLength: 24
            pattern: ^[0-9a-f]{24}$
          description: El identificador únic de l'organització
          example: 507f1f77bcf86cd799439011
        - name: workspace_group_id
          in: path
          required: true
          schema:
            type: string
            maxLength: 24
            pattern: ^[0-9a-f]{24}$
          description: L'identificador únic del grup de workspaces
          example: 507f1f77bcf86cd799439020
      responses:
        '200':
          description: >-
            Detalls del grup de workspaces recuperats correctament. La resposta
            inclou la configuració, el tipus i la ubicació del grup de
            workspaces.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceGroupDetailResponseV1'
        '400':
          $ref: '#/components/responses/BadRequest'
          description: Sol·licitud incorrecta - format d'ID de grup de workspaces no vàlid
        '401':
          $ref: '#/components/responses/Unauthorized'
          description: No autoritzat - es requereix autenticació
        '404':
          $ref: '#/components/responses/NotFound'
          description: Grup de workspaces no trobat o no pertany a l'organització
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    WorkspaceGroupDetailResponseV1:
      type: object
      properties:
        id:
          type: string
          pattern: ^[0-9a-f]{24}$
          description: ID del grup de workspaces
        name:
          type: string
          description: Nom del grup de workspaces
        description:
          type: string
          nullable: true
          description: Descripció del grup de workspaces
        organization_id:
          type: string
          pattern: ^[0-9a-f]{24}$
          description: Identificador d'organització
        create_user:
          type: string
          nullable: true
          pattern: ^[0-9a-f]{24}$
          description: ID de l'usuari que va crear el grup de workspaces
        create_date:
          type: string
          format: date-time
          description: Marca de temps de creació
        type:
          type: string
          nullable: true
          enum:
            - static
            - dynamic
            - entra_id
          description: Tipus de grup de workspaces
        filter:
          type: string
          nullable: true
          description: Cadena de filtratge per als grups de workspaces dinàmics
        location:
          $ref: '#/components/schemas/WorkspaceLocationV1'
          nullable: true
          description: Informació de ubicació del grup de workspaces
        entra_id_source:
          $ref: '#/components/schemas/WorkspaceGroupEntraIdSourceV1'
          nullable: true
          description: Informació d'origen de Entra ID per al grup de workspaces
      required:
        - id
        - name
        - organization_id
        - create_date
    WorkspaceLocationV1:
      type: object
      properties:
        latitude:
          type: number
          description: Coordenada de latitud
        longitude:
          type: number
          description: Coordenada de longitud
        address:
          type: string
          description: Cadena d'adreça
        description:
          type: string
          nullable: true
          description: Descripció de la ubicació
      required:
        - latitude
        - longitude
        - address
    WorkspaceGroupEntraIdSourceV1:
      type: object
      properties:
        resource_id:
          type: string
          description: ID de recurs de Entra ID
        resource_type:
          type: string
          enum:
            - group
            - administrative_unit
          description: Tipus de recurs de Entra ID
        resource_name:
          type: string
          description: Nom del recurs de Entra ID
      required:
        - resource_id
        - resource_type
        - resource_name
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
            details:
              type: string
          required:
            - message
            - code
      required:
        - error
  responses:
    BadRequest:
      description: Sol·licitud incorrecta
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: No autoritzat
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: No trobat
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    TooManyRequests:
      description: Masses sol·licituds
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerError:
      description: Error intern del servidor
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````